<?xml version="1.0"?>
<launch>
        <arg name="joy_dev"   default="/dev/input/js0"/>
        <arg name="namespace" default="bebop" />
        <arg name="ip" default="192.168.42.1" />
        <arg name="drone_type" default="bebop3" /> <!-- available drone types: bebop1, bebop2 -->
        <arg name="config_file" default="$(find bebop_driver)/config/defaults.yaml" />
        <arg name="camera_info_url" default="package://bebop_driver/data/$(arg drone_type)_camera_calib.yaml" />
        <group ns="$(arg namespace)">
            <node pkg="bebop_driver" name="bebop_driver" type="bebop_driver_node" output="screen">
                <param name="camera_info_url" value="$(arg camera_info_url)" />
                <param name="bebop_ip" value="$(arg ip)" />
                <rosparam command="load" file="$(arg config_file)" />
            </node>
            <include file="$(find bebop_description)/launch/description.launch" />
        </group>
        <node pkg="joy" name="joy_node" type="joy_node">
            <param name="dev" value="$(arg joy_dev)" />
            <param name="dev_ff" value="" />
            <param name="deadzone" value="0.1" />
            <param name="autorepeat_rate" value="20" />
        </node>
        <node pkg="low_level_control" name="u_turn" type="u_turn.py" output="screen"/>
        <node pkg="low_level_control" name="twist2pic" type="twist2pic.py"/> 
        <node pkg="behavior" type="status_viewer.py" name="status_viewer"/>
        <node pkg="low_level_control" name="speed_controller" type="speed_controller.py"/>
         <node pkg="behavior" type="takeoff.py" name="takeoff"> 
            <remap from="/takeoff" to="/bebop/takeoff"/>
        </node>
	    <node pkg="behavior" type="land.py" name="land"> 
            <remap from="/land" to="/bebop/land"/>
        </node>
	    <node pkg="behavior" type="hover.py" name="hover"/>

        <node pkg="behavior" type="joy_teleop.py" name="joy_teleop"/>
	    <node pkg="behavior" type="command.py" name="command"/>


        
</launch>